DS_COPY_LIST(3)

FUNCTION
ds_copy_list - Recursively copy linked lists.

SYNOPSIS
#include <karma_ds.h>

flag ds_copy_list

(CONST packet_desc *inp_desc, CONST list_header *inp_head, packet_desc *out_desc, list_header *out_head)

DESCRIPTION
This routine will copy a linked list to another. The routine will recursively copy sub arrays and linked lists. The linked list entries and data fields will be allocated. The entries will be contiguous in memory. For information on the copying rules when the two list descriptors differ, see the routine <-ds_copy_data->.

inp_desc
    The input data structure descriptor.

inp_head
    The input linked list header.

out_desc
    The output data structure descriptor.

out_head
    The output linked list header.

RETURN VALUE
TRUE if the two packet descriptors are identical, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/